Name:           perl-Unix-Syslog
Version:        0.100
Release:        7%{?dist}
Summary:        Perl interface to the UNIX syslog(3) calls
License:        Artistic
Group:          System Environment/Libraries
URL:            http://search.cpan.org/dist/Unix-Syslog/
Source0:        http://www.cpan.org/authors/id/M/MH/MHARNISCH/Unix-Syslog-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires:   perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an interface to the system logger syslogd(8) via
Perl's XSUBs. The implementation attempts to resemble the native
libc-functions of your system, so that anyone being familiar with
syslog.h should be able to use this module right away.

%prep
%setup -q -n Unix-Syslog-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%{__perl} -pi -e 's/^\tLD_RUN_PATH=[^\s]+\s*/\t/' Makefile
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
%{?_with_check:make test}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README Artistic
%{perl_vendorarch}/auto/Unix
%{perl_vendorarch}/Unix
%{_mandir}/man3/Unix::Syslog.3pm*

%changelog
* Sat Feb 18 2006 Steven Pritchard <steve@kspei.com> 0.100-7
- Rebuild.

* Mon Sep 05 2005 Steven Pritchard <steve@kspei.com> 0.100-6
- Spec cleanup.
- Disable "make test" by default (spams console).

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Apr 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.100-0.fdr.4
- Bring up to date with current fedora.us perl spec template.
- Require perl(:MODULE_COMPAT_*).

* Thu Oct  2 2003 Michael Schwendt <rh0212ms[AT]arcor.de> 0:0.100-0.fdr.3
- Vendor install
- Removing some files instead of excluding them
- Own two additionnal directories to work around perl package bug

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:0.100-0.fdr.2
- Excluding empty Syslog.bs file
- Chmoding Syslog.so in install section to allow it to be stripped
- Changed Group tag value
- Added missing unowned directories

* Sun Jun 15 2003 Dams <anvil[AT]livna.org>
- Initial build.
